com.r3corda.contracts.asset / Obligation / Clauses / Issue

# Issue

`class Issue<P> : AbstractIssue<State<P>, Commands, Terms<P>>`

Generic issuance clause

### Constructors

<init> | `Issue()` Generic issuance clause

### Properties

requiredCommands | `val requiredCommands: Set<Class<out CommandData>>` Determine whether this clause runs or not

### Inherited Properties

sum | `val sum: List<S>.() -> Amount<Issued<T>>`
sumOrZero | `val sumOrZero: List<S>.(Issued<T>) -> Amount<Issued<T>>`